<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">

<head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">
    <!-- Estilos css-->
    <link th:href="@{/styles/template-main.css}" rel="stylesheet" />
    <title>ZappApp</title>

    <!-- Fuentes-->
    <link th:href="@{/styles/fontawesome-free/css/all.min.css}" rel="stylesheet" type="text/css">
    <link href="https://fonts.googleapis.com/css?family=Nunito:200,200i,300,300i,400,400i,600,600i,700,700i,800,800i,900,900i" rel="stylesheet">
    <script src="https://kit.fontawesome.com/f0db3f6f2e.js" crossorigin="anonymous"></script>


</head>

<body id="page-top">
    <div id="app">
    <!-- Page Wrapper -->
    <div id="wrapper">

        <!-- Sidebar -->
        <menu-navegacion >
        </menu-navegacion>
        <!-- End of Sidebar -->

        <!-- Content Wrapper -->
        <div id="content-wrapper" class="d-flex flex-column">

            <!-- Main Content -->
            <div id="content">

                <!-- Topbar -->
                <nav class="navbar navbar-expand navbar-light bg-white topbar mb-4 static-top shadow">

                    <!-- Sidebar Toggle (Topbar) -->
                    <button id="sidebarToggleTop" class="btn btn-link d-md-none rounded-circle mr-3">
                        <i class="fa fa-bars"></i>
                    </button>

                    <!-- Topbar Navbar -->
                    <ul class="navbar-nav ml-auto">

                        <!-- Nav Item - Search Dropdown (Visible Only XS) -->
                        <li class="nav-item dropdown no-arrow d-sm-none">
                            <a class="nav-link dropdown-toggle" href="#" id="searchDropdown" role="button"
                                data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                <i class="fas fa-search fa-fw"></i>
                            </a>
                            <!-- Dropdown - Messages -->
                            <div class="dropdown-menu dropdown-menu-right p-3 shadow animated--grow-in"
                                aria-labelledby="searchDropdown">
                                <form class="form-inline mr-auto w-100 navbar-search">
                                    <div class="input-group">
                                        <input type="text" class="form-control bg-light border-0 small"
                                            placeholder="Search for..." aria-label="Search"
                                            aria-describedby="basic-addon2">
                                        <div class="input-group-append">
                                            <button class="btn btn-primary" type="button">
                                                <i class="fas fa-search fa-sm"></i>
                                            </button>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </li>

                        <div class="topbar-divider d-none d-sm-block"></div>

                        <!-- Nav Item - User Information -->
                        <li class="nav-item dropdown no-arrow">
                            <a class="nav-link dropdown-toggle" href="#" id="userDropdown" role="button"
                                data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                <span class="mr-2 d-none d-lg-inline text-gray-600 small" th:text="${#authentication.getPrincipal().getUsername()}"></span>
                                <img class="img-profile rounded-circle" th:src="@{/img/undraw_profile.svg}">
                            </a>
                            <!-- Dropdown - User Information -->
                            <div class="dropdown-menu dropdown-menu-right shadow animated--grow-in"
                                aria-labelledby="userDropdown">
                                <a class="dropdown-item" href="#" data-toggle="modal" data-target="#logoutModal">
                                    <i class="fas fa-sign-out-alt fa-sm fa-fw mr-2 text-gray-400"></i>
                                    Cerrar cesión
                                </a>
                            </div>
                        </li>

                    </ul>

                </nav>
                <!-- End of Topbar -->

                <!-- Begin Page Content -->
                <div class="container-fluid">

                    <!-- DataTales Example -->
                    <div class="card shadow mb-4">
                        <div class="card-header d-flex py-3">
                            <h2 class="m-0 font-weight-bold text-primary">Gestionar productos</h2>
                            <a class="btn btn-primary ml-auto" href="#" data-toggle="modal" data-target="#newProductModal">
                                <span class="icon text-white-50">
                                    <i class="fas fa-box-open"></i>
                                </span>
                                <span class="text">Nuevo producto</span>
                            </a>
                        </div>
                        <div class="card-body">
                            <div class="table-responsive">
                                <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                                    <thead>
                                        <tr>
                                            <th>#</th>
                                            <th>Descripcion</th>
                                            <th>Precio Compra</th>
                                            <th>Precio Venta</th>
                                            <th>Estado</th>
                                            <th>Año de Fabricacion</th>
                                            <th>Modelo</th>
                                            <th>Marca</th>
                                            <th>Proveedor favorito</th>
                                            <th>Acciones</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <template v-for="producto in productos">
                                            <tr>
                                            <th >{{ producto.id }}</th>
                                            <td scope="col">{{ producto.description }}</td>
                                            <td scope="col">{{ producto.price_buy }}</td>
                                            <td scope="col">{{ producto.price_sale }}</td>
                                            <td scope="col">{{ producto.product_status.name }}</td>
                                            <td scope="col">{{ producto.year_fabrication }}</td>
                                            <td scope="col">{{ producto.product_model.name }}</td>
                                            <td scope="col">{{ producto.product_model.mark }}</td>
                                            <td scope="col">
                                                <a class="btn btn-primary" href="#" data-toggle="modal" data-target="#favSupplierModal" @click="seleccionarProducto(producto)">
                                                    gestionar
                                                </a>
                                            </td>
                                            <td>
                                                <a class="btn" href="#">
                                                    <i class="far fa-edit"></i>
                                                </a>
                                                <a class="btn" href="#">
                                                    <i class="far fa-trash-alt"></i>
                                                </a>
                                            </td>
                                            </tr>
                                        </template>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- /.container-fluid -->

            </div>
            <!-- End of Main Content -->

            <!-- Footer -->
            <footer class="sticky-footer bg-white">
                <div class="container my-auto">
                    <div class="copyright text-center my-auto">
                        <span>Copyright &copy; G6 Solutions 2021</span>
                    </div>
                </div>
            </footer>
            <!-- End of Footer -->

        </div>
        <!-- End of Content Wrapper -->

    </div>
    <!-- End of Page Wrapper -->

    <!-- Scroll to Top Button-->
    <a class="scroll-to-top rounded" href="#page-top">
        <i class="fas fa-angle-up"></i>
    </a>

    <!-- New Product Modal-->
    <div class="modal fade" id="favSupplierModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title">Proveedores favoritos</h5>
                        <button class="close" type="button" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">×</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <div class="p-2">
                            <form class="user">
                                <div class="form-group row">
                                    <div class="col-sm-6 mb-3 mb-sm-0">
                                        <label class="form-label"><font style="vertical-align: inherit;">Producto</font></label>
                                        <h6>{{producto_seleccionado.description}}</h6>
                                    </div>
                                    <div class="col-sm-6 mb-3 mb-sm-0">
                                        <label class="form-label"><font style="vertical-align: inherit;">Proveedor favorito</font></label>
                                        <h6 v-if="producto_proveedor_fav.supplier.id == 0">no tiene</h6>
                                        <h6 v-if="producto_proveedor_fav.supplier.id != 0">id: {{producto_proveedor_fav.supplier.id}} - {{producto_proveedor_fav.supplier.name}}
                                            <a @click="eliminarFavorito()" class="btn" href="#" data-dismiss="modal">
                                            <i class="far fa-trash-alt"></i>
                                            </a>
                                        </h6>
                                    </div>
                                    <div class="col-sm-6 mb-3 mb-sm-0">
                                        <label class="form-label"><font style="vertical-align: inherit;">Seleccionar nuevo proveedor</font></label>
                                        <select class="form-control" v-model='producto_proveedor_enviar.id_supplier'>
                                            <option  v-for="proveedor in proveedores" v-bind="{value:proveedor.id}">id: {{ proveedor.id }} - {{proveedor.name}}</option>
                                        </select>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button class="btn btn-secondary" type="button" data-dismiss="modal">Cancelar</button>
                        <a v-if="producto_proveedor_fav.supplier.id == 0" class="btn btn-primary" @click="crearFavorito()" type="submit" data-dismiss="modal">Guardar</a>
                        <a v-if="producto_proveedor_fav.supplier.id != 0" class="btn btn-primary" @click="editarFavorito()" type="submit" data-dismiss="modal">Reemplazar</a>
                    </div>
                </div>
            </div>
        </div>


        <!-- New Product Modal-->
    <div class="modal fade" id="newProductModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
        aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title"></h5>
                    <button class="close" type="button" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">×</span>
                    </button>
                </div>
                <div class="modal-body">
                  <div class="p-2">
                      <form class="user">
                        <div class="form-group row">
                            <div class="col-sm-6 mb-3 mb-sm-0">
                                <label class="form-label"><font style="vertical-align: inherit;">Descripción</font></label>
                                <input type="text" class="form-control descripcionInput" id="exampleInputPassword" placeholder="Descripción" v-model ="producto.description">
                                <div class="invalid-feedback" id="descripcionDiv">
                                </div>
                            </div>

                            <div class="col-sm-6 mb-3 mb-sm-0">
                                <label class="form-label"><font style="vertical-align: inherit;">Modelo</font></label>
                                <select class="form-control" v-model='producto.product_model_id'>
                                    <option  v-for="modelo in modelos" v-bind="{value:modelo.id}"> {{ modelo.name }}</option>
                                </select>
                            </div>
                        </div>
                        <div class="form-group row">
                          <div class="form-group col-sm-6 mb-3 mb-sm-0">
                              <label class="form-label"><font style="vertical-align: inherit;">Año de fabricación</font></label>
                            <select class="form-control" id="anioInput" v-model = 'producto.year_fabrication'>
                                <option  v-for="anio in anios" v-bind="{value:anio}"> {{ anio }}</option>
                            </select>
                              <div class="invalid-feedback" id="anioDiv" >
                              </div>
                          </div>
                          <div class="form-group col-sm-6 mb-3 mb-sm-0">
                              <label class="form-label"><font style="vertical-align: inherit;">Color</font></label>
                              <input class="form-control" type="text" name="color" list="colores" v-model = 'producto.colour_id'/>
                              <datalist id="colores" >
                                <option  v-for="color in colores"> {{ color.name }}</option>
                            </datalist>
                          </div>
                        </div>
                        <div class="form-group row">
                          <div class="form-group col-sm-6 mb-3 mb-sm-0">
                              <label class="form-label"><font style="vertical-align: inherit;">Estado de fabricación</font></label>
                            <select class="form-control" v-model = 'producto.product_status_id'>
                                <option  v-for="estado in estados" v-bind="{value:estado.id}"> {{ estado.name }}</option>
                            </select>
                          </div>
                          <div class="form-group col-sm-6 mb-3 mb-sm-0">
                              <label class="form-label"><font style="vertical-align: inherit;">Talle</font></label>
                              <input class="form-control" type="text" name="talle" list="talles" v-model = 'producto.waist_id'/>
                                <datalist id="talles" >
                                    <option v-for="talle in talles"> {{ talle.name }}</option>
                                </datalist>
                          </div>
                        </div>
                        <hr class="sidebar-divider">
                        <div class="form-group row">
                            <div class="col-sm-6 mb-3 mb-sm-0">
                                <label class="form-label"><font style="vertical-align: inherit;">Stock</font></label>
                                <input type="number" id="stockInput" class="form-control" placeholder="Stock" v-model ="producto.stock">
                                <div class="invalid-feedback" id="stockDiv" >
                                </div>
                            </div>
                            <div class="col-sm-6 mb-3 mb-sm-0">
                                <label class="form-label"><font style="vertical-align: inherit;">Stock de seguridad</font></label>
                                <input type="number" id="stockSeguridadInput" class="form-control" placeholder="Stock de Seguridad" v-model ="producto.stock_security">
                                <div class="invalid-feedback" id="stockSeguridadDiv" >
                                </div>
                            </div>
                        </div>
                        <div class="form-group row">
                            <div class="col-sm-6 mb-3 mb-sm-0">
                                <label class="form-label"><font style="vertical-align: inherit;">Stock mínimo</font></label>
                                <input type="number" id="stockMinInput" class="form-control" placeholder="Stock mínimo"  v-model ="producto.stock_minimum">
                                <div class="invalid-feedback" id="stockMinDiv" >
                                </div>
                            </div>
                        </div>
                        <div class="form-group row">
                            <div class="col-sm-6 mb-3 mb-sm-0">
                                <label class="form-label"><font style="vertical-align: inherit;">Precio de compra</font></label>
                                <input type="number" id="precioCompraInput" class="form-control" placeholder="Precio Compra" v-model ="producto.price_buy">
                                <div class="invalid-feedback" id="precioCompraDiv" >
                                </div>
                            </div>
                            <div class="col-sm-6 mb-3 mb-sm-0">
                                <label class="form-label"><font style="vertical-align: inherit;">Precio de venta</font></label>
                                <input type="number" id="precioVentaInput" class="form-control" placeholder="Precio Venta" v-model ="producto.price_sale">
                                <div class="invalid-feedback" id="precioVentaDiv" >
                                </div>
                            </div>
                        </div>
                      </form>
                  </div>
                </div>
                <div class="modal-footer">
                    <button class="btn btn-secondary" type="button" data-dismiss="modal">Cancelar</button>
                    <a class="btn btn-primary" @click="crearProducto()" type="submit">Guardar</a>
                </div>
            </div>
        </div>
    </div>

    <!-- Logout Modal-->
    <div class="modal fade" id="logoutModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
        aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Quiere cerrar cesión?</h5>
                    <button class="close" type="button" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">×</span>
                    </button>
                </div>
                <div class="modal-body">Seleccione "Cerrar cesión" si está listo para salir de la plataforma.</div>
                <div class="modal-footer">
                    <button class="btn btn-secondary" type="button" data-dismiss="modal">Cancelar</button>
                    <form th:action="@{/logout}" method="post">
                        <input class='btn btn-primary ml-auto' type="submit" value="Cerrar Sesion"/>
                    </form>
                </div>
            </div>
        </div>
    </div>

    </div>
</body>
<!-- Bootstrap core JavaScript-->
<script type="text/javascript" th:src="@{/js/jquery/jquery.min.js}"></script>
<script type="text/javascript" th:src="@{/js/bootstrap/js/bootstrap.bundle.min.js}"></script>
<!-- Core plugin JavaScript-->
<script type="text/javascript" th:src="@{/js/jquery-easing/jquery.easing.min.js}"></script>
<!-- Custom scripts for all pages-->
<!-- <script type="text/javascript" th:src="@{/js/template-main.js}"></script> -->
<!-- Page level plugins -->
<!--<script type="text/javascript" th:src="@{/js/datatables/jquery.dataTables.min.js}"></script>-->
<!-- <script type="text/javascript" th:src="@{/js/datatables/dataTables.bootstrap4.min.js}"></script> -->
<!-- Page level custom scripts -->
<!-- <script type="text/javascript" th:src="@{/js/demo/datatables-demo.js}"></script> -->

<script src="https://cdnjs.cloudflare.com/ajax/libs/vue/2.6.12/vue.min.js"></script>


<script src="https://unpkg.com/hotkeys-js/dist/hotkeys.min.js"></script>

<script type="text/javascript" th:src="@{/js/cssandjs/atajos.js}"></script>

<!-- SCRIPT VUE JS-->
<script type="text/javascript" th:src="@{/js/cssandjs/itemsNavegacion.js}"></script>
<script type="text/javascript" th:src="@{/js/cssandjs/menu-navegacion.js}"></script>

<!-- SCRIPT VUE JS-->
<script type="text/javascript" th:src="@{/js/cssandjs/producto.js}"></script>

<!-- Custom scripts for all pages-->
<script type="text/javascript" th:src="@{/js/cssandjs/sbadmin2.min.js}"></script>

</html>
